## ros-one-robot-body-filter 1.3.2-2jammy.20251023.1620

=== debian/changelog ===
ros-one-robot-body-filter (1.3.2-2jammy.20251023.1620) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 23 Oct 2025 16:20:06 +0000

ros-one-robot-body-filter (1.3.2-0jammy) jammy; urgency=high

  * Do not segfault when a mesh resource is not found.
  * Added full_example.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 22 Jan 2024 00:00:00 -0000

ros-one-robot-body-filter (1.3.1-0jammy) jammy; urgency=high

  * Explicitly specify minimum versions of required libraries.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 14 Jul 2023 00:00:00 -0000

ros-one-robot-body-filter (1.3.0-0jammy) jammy; urgency=high

  * Removed local implementation of oriented bounding boxes in favor of geometric_shapes/obb. **This change breaks API and ABI**, but I hope nobody explicitly used the OBB part of this library. This change requires geometric_shapes version 0.6.6+ (Melodic) or 0.7.5+ (Noetic) (released April 2023).
  * Add example launch & config for ease of use. Thanks Doan Nguyen for the contribution!
  * Changed xmlrpc_traits variables to constexpr static instead of inline static to decrease the required C++ language standard for this part. Changed stringType from std::string to const char*.
  * Improved xmlrpc_traits to recognize more types of valid structures.
  * Make filter_utils FilterBase::getParamVerbose() methods const.
    Allowed by https://github.com/ros/filters/pull/35 (released in Melodic filters 1.8.2 (October 2021) and Noetic filters 1.9.1 (September 2021)).
  * Contributors: Doan Nguyen, Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 12 Apr 2023 00:00:00 -0000

ros-one-robot-body-filter (1.2.2-0jammy) jammy; urgency=high

  * Change ROS_WARN to ROS_INFO when loading a value of an undefined parameter
  * Add link to the youtube tutorial
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 25 Aug 2021 00:00:00 -0000

ros-one-robot-body-filter (1.2.1-0jammy) jammy; urgency=high

  * Merge pull request #15 <https://github.com/peci1/robot_body_filter/issues/15> from universal-field-robots/master
    TFFramesWatchdog and RayCastingShapeMask need to be installed in the CMakeLists.txt
  * Added RayCastingShapeMask and TFFramesWatchdog to install targets in cmake
  * Contributors: Josh Owen, Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 06 Aug 2021 00:00:00 -0000

ros-one-robot-body-filter (1.2.0-0jammy) jammy; urgency=high

  * Merge pull request #11 <https://github.com/peci1/robot_body_filter/issues/11> from peci1/correct-pointcloud-transforms
    Add possibility to specify pointcloud channels that should be transformed together with positional data.
  * Merge pull request #14 <https://github.com/peci1/robot_body_filter/issues/14> from peci1/per_link_scaling
    Add support for scaling/padding each link differently
  * Short-circuit classification of NaN points.
  * Warn about missing collision elements only for non-ignored links and only if they have at least one visual.
  * Fixed bounding shapes computation
  * Added filter/max_shadow_distance for great performance increase
  * Added possibility to scale/pad collisions separately for computation of bounding box and sphere.
  * Unique-ify test target name to allow building with geometric_shapes.
  * Use correct Eigen allocator.
  * Reflected the newly added support for non-uniformly scaled meshes.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 30 Jul 2021 00:00:00 -0000

ros-one-robot-body-filter (1.1.9-0jammy) jammy; urgency=high

  * Compatibility with Noetic.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 17 Apr 2021 00:00:00 -0000

ros-one-robot-body-filter (1.1.8-0jammy) jammy; urgency=high

  * Fixed typo.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 06 Apr 2020 00:00:00 -0000

ros-one-robot-body-filter (1.1.7-0jammy) jammy; urgency=high

  * When sensor frame is empty (autodetected), do not add it as initial monitored frame to watchdog.
  * Added configuration examples.
  * Make sure use_sim_time is set to false for tests.
  * Fixed computation of pointcloud without local bounding box.
  * Added tests for RobotBodyFilter.
  * No longer require the index pointcloud field in computeMask(), as it is not used anywhere.
  * Surprise! CropBox::setTransform() doesn't set transform of the cropbox, but instead a transform of the points. Fixed that.
  * Fixed copy-paste bug in bounding sphere publisher.
  * Fix incorrect usage of fixed frame at many places (substituted with filtering frame).
  * Make sure orientation.w = 1 is set in all published markers.
  * Correctly exclude the ignored bounding shapes from the published markers and shapes.
  * Make sure the published bounding shapes are computed as they appear at the time of the beginning of the scan.
  * Fix getShapeTransform() to correctly interpolate between before- and after-scan times. The logic was twisted, so with cacheLookupBetweenScansRation was zero, it returned the transform after scan.
  * Fix copy-paste bug in transform cache.
  * Make use of the newly optional scanFrame argument of computeMask()
  * Prevent division by zero in point-by-point scans with zero duration (which is weird, but well...)
  * Only compute sensor->filtering transform for all-at-once scans, because point-by-point scans have viewpoints instead.
  * Reworked how TFFramesWatchdog is initialized to allow easier reconfiguring of the filter.
  * Added RobotBodyFilter::failWithoutRobotDescription which aids in tests.
  * Clarified documentation of RobotBodyFilter regarding frames.
  * Add TFFramesWatchdog::isRunning().
  * Workaround PCL 1.8 ignoring CropBox::setKeepOrganized().
  * Added tests for filter utils.
  * Improved filter_utils documentation.


## ros-one-robot-body-filter 1.3.2-2jammy.20251208.0919

=== debian/changelog ===
ros-one-robot-body-filter (1.3.2-2jammy.20251208.0919) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 08 Dec 2025 09:19:39 +0000

## ros-one-robot-body-filter 1.3.2-2jammy.20260128.2238

=== debian/changelog ===
ros-one-robot-body-filter (1.3.2-2jammy.20260128.2238) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 28 Jan 2026 22:38:40 +0000

## ros-one-robot-body-filter 1.3.2-2jammy.20260301.2231

=== debian/changelog ===
ros-one-robot-body-filter (1.3.2-2jammy.20260301.2231) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 01 Mar 2026 22:31:58 +0000

## ros-one-robot-body-filter 1.3.2-2noble.20251023.1657

=== debian/changelog ===
ros-one-robot-body-filter (1.3.2-2noble.20251023.1657) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 23 Oct 2025 16:57:53 +0000

ros-one-robot-body-filter (1.3.2-0noble) noble; urgency=high

  * Do not segfault when a mesh resource is not found.
  * Added full_example.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 22 Jan 2024 00:00:00 -0000

ros-one-robot-body-filter (1.3.1-0noble) noble; urgency=high

  * Explicitly specify minimum versions of required libraries.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 14 Jul 2023 00:00:00 -0000

ros-one-robot-body-filter (1.3.0-0noble) noble; urgency=high

  * Removed local implementation of oriented bounding boxes in favor of geometric_shapes/obb. **This change breaks API and ABI**, but I hope nobody explicitly used the OBB part of this library. This change requires geometric_shapes version 0.6.6+ (Melodic) or 0.7.5+ (Noetic) (released April 2023).
  * Add example launch & config for ease of use. Thanks Doan Nguyen for the contribution!
  * Changed xmlrpc_traits variables to constexpr static instead of inline static to decrease the required C++ language standard for this part. Changed stringType from std::string to const char*.
  * Improved xmlrpc_traits to recognize more types of valid structures.
  * Make filter_utils FilterBase::getParamVerbose() methods const.
    Allowed by https://github.com/ros/filters/pull/35 (released in Melodic filters 1.8.2 (October 2021) and Noetic filters 1.9.1 (September 2021)).
  * Contributors: Doan Nguyen, Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 12 Apr 2023 00:00:00 -0000

ros-one-robot-body-filter (1.2.2-0noble) noble; urgency=high

  * Change ROS_WARN to ROS_INFO when loading a value of an undefined parameter
  * Add link to the youtube tutorial
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 25 Aug 2021 00:00:00 -0000

ros-one-robot-body-filter (1.2.1-0noble) noble; urgency=high

  * Merge pull request #15 <https://github.com/peci1/robot_body_filter/issues/15> from universal-field-robots/master
    TFFramesWatchdog and RayCastingShapeMask need to be installed in the CMakeLists.txt
  * Added RayCastingShapeMask and TFFramesWatchdog to install targets in cmake
  * Contributors: Josh Owen, Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 06 Aug 2021 00:00:00 -0000

ros-one-robot-body-filter (1.2.0-0noble) noble; urgency=high

  * Merge pull request #11 <https://github.com/peci1/robot_body_filter/issues/11> from peci1/correct-pointcloud-transforms
    Add possibility to specify pointcloud channels that should be transformed together with positional data.
  * Merge pull request #14 <https://github.com/peci1/robot_body_filter/issues/14> from peci1/per_link_scaling
    Add support for scaling/padding each link differently
  * Short-circuit classification of NaN points.
  * Warn about missing collision elements only for non-ignored links and only if they have at least one visual.
  * Fixed bounding shapes computation
  * Added filter/max_shadow_distance for great performance increase
  * Added possibility to scale/pad collisions separately for computation of bounding box and sphere.
  * Unique-ify test target name to allow building with geometric_shapes.
  * Use correct Eigen allocator.
  * Reflected the newly added support for non-uniformly scaled meshes.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 30 Jul 2021 00:00:00 -0000

ros-one-robot-body-filter (1.1.9-0noble) noble; urgency=high

  * Compatibility with Noetic.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 17 Apr 2021 00:00:00 -0000

ros-one-robot-body-filter (1.1.8-0noble) noble; urgency=high

  * Fixed typo.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 06 Apr 2020 00:00:00 -0000

ros-one-robot-body-filter (1.1.7-0noble) noble; urgency=high

  * When sensor frame is empty (autodetected), do not add it as initial monitored frame to watchdog.
  * Added configuration examples.
  * Make sure use_sim_time is set to false for tests.
  * Fixed computation of pointcloud without local bounding box.
  * Added tests for RobotBodyFilter.
  * No longer require the index pointcloud field in computeMask(), as it is not used anywhere.
  * Surprise! CropBox::setTransform() doesn't set transform of the cropbox, but instead a transform of the points. Fixed that.
  * Fixed copy-paste bug in bounding sphere publisher.
  * Fix incorrect usage of fixed frame at many places (substituted with filtering frame).
  * Make sure orientation.w = 1 is set in all published markers.
  * Correctly exclude the ignored bounding shapes from the published markers and shapes.
  * Make sure the published bounding shapes are computed as they appear at the time of the beginning of the scan.
  * Fix getShapeTransform() to correctly interpolate between before- and after-scan times. The logic was twisted, so with cacheLookupBetweenScansRation was zero, it returned the transform after scan.
  * Fix copy-paste bug in transform cache.
  * Make use of the newly optional scanFrame argument of computeMask()
  * Prevent division by zero in point-by-point scans with zero duration (which is weird, but well...)
  * Only compute sensor->filtering transform for all-at-once scans, because point-by-point scans have viewpoints instead.
  * Reworked how TFFramesWatchdog is initialized to allow easier reconfiguring of the filter.
  * Added RobotBodyFilter::failWithoutRobotDescription which aids in tests.
  * Clarified documentation of RobotBodyFilter regarding frames.
  * Add TFFramesWatchdog::isRunning().
  * Workaround PCL 1.8 ignoring CropBox::setKeepOrganized().
  * Added tests for filter utils.
  * Improved filter_utils documentation.


## ros-one-robot-body-filter 1.3.2-2noble.20251208.1555

=== debian/changelog ===
ros-one-robot-body-filter (1.3.2-2noble.20251208.1555) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 08 Dec 2025 15:55:19 +0000

## ros-one-robot-body-filter 1.3.2-2noble.20260301.2226

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7.2)
project(robot_body_filter)

set (CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${CMAKE_CURRENT_SOURCE_DIR}/cmake")
include(DetectOptional)

if(${ROBOT_BODY_FILTER_HAVE_CXX_OPTIONAL})
  # add_compile_definitions would be nicer, but isn't available in Stretch
  add_compile_options(-DROBOT_BODY_FILTER_USE_CXX_OPTIONAL=1)
else()
  add_compile_options(-DROBOT_BODY_FILTER_USE_CXX_OPTIONAL=0)
endif()

set(THIS_PACKAGE_DEPS dynamic_reconfigure filters geometric_shapes laser_geometry moveit_core moveit_ros_perception roscpp sensor_msgs tf2 tf2_ros urdf visualization_msgs)
set(MESSAGE_DEPS geometry_msgs std_msgs)

find_package(catkin REQUIRED COMPONENTS ${THIS_PACKAGE_DEPS} ${MESSAGE_DEPS} message_generation pcl_conversions tf2_eigen tf2_sensor_msgs)
find_package(PCL REQUIRED COMPONENTS common filters)
find_package(Threads REQUIRED)

find_package(PkgConfig REQUIRED)
pkg_check_modules(LIBFCL_PC REQUIRED fcl)
# find *absolute* paths to LIBFCL_* paths
find_path(LIBFCL_INCLUDE_DIRS fcl/config.h HINTS ${LIBFCL_PC_INCLUDE_DIR} ${LIBFCL_PC_INCLUDE_DIRS})
set(LIBFCL_LIBRARIES)
foreach(_lib ${LIBFCL_PC_LIBRARIES})
  find_library(_lib_${_lib} ${_lib} HINTS ${LIBFCL_PC_LIBRARY_DIRS})
  list(APPEND LIBFCL_LIBRARIES ${_lib_${_lib}})
endforeach()


add_message_files(FILES OrientedBoundingBox.msg OrientedBoundingBoxStamped.msg Sphere.msg SphereStamped.msg)
generate_messages(DEPENDENCIES ${MESSAGE_DEPS})

catkin_package(
    CATKIN_DEPENDS ${THIS_PACKAGE_DEPS} ${MESSAGE_DEPS} message_runtime
    INCLUDE_DIRS include
    LIBRARIES ${PROJECT_NAME} RayCastingShapeMask TFFramesWatchdog ${PROJECT_NAME}_utils
)

include_directories(SYSTEM ${LIBFCL_INCLUDE_DIRS})
include_directories(include ${catkin_INCLUDE_DIRS} ${PCL_INCLUDE_DIRS})

set(UTILS_SRCS
  src/utils/bodies.cpp
  src/utils/cloud.cpp
  src/utils/shapes.cpp
  src/utils/string_utils.cpp
  src/utils/tf2_eigen.cpp
  src/utils/tf2_sensor_msgs.cpp
  src/utils/time_utils.cpp)

if (PCL_VERSION VERSION_LESS "1.10")
  set(UTILS_SRCS ${UTILS_SRCS} src/utils/crop_box.cpp)
endif()

add_library(${PROJECT_NAME}_utils ${UTILS_SRCS})
target_link_libraries(${PROJECT_NAME}_utils ${catkin_LIBRARIES} ${LIBFCL_LIBRARIES} ${PCL_LIBRARIES})

add_library(tf2_sensor_msgs_rbf src/utils/tf2_sensor_msgs.cpp)
target_link_libraries(tf2_sensor_msgs_rbf PRIVATE ${PROJECT_NAME}_utils PUBLIC ${catkin_LIBRARIES})
add_dependencies(tf2_sensor_msgs_rbf ${catkin_EXPORTED_TARGETS})

add_library(RayCastingShapeMask src/RayCastingShapeMask.cpp)
target_link_libraries(RayCastingShapeMask ${PROJECT_NAME}_utils ${catkin_LIBRARIES})
add_dependencies(RayCastingShapeMask ${catkin_EXPORTED_TARGETS} ${${PROJECT_NAME}_EXPORTED_TARGETS})

add_library(TFFramesWatchdog src/TFFramesWatchdog.cpp)
target_link_libraries(TFFramesWatchdog ${PROJECT_NAME}_utils ${catkin_LIBRARIES})
add_dependencies(TFFramesWatchdog ${catkin_EXPORTED_TARGETS} ${${PROJECT_NAME}_EXPORTED_TARGETS})

add_library(${PROJECT_NAME} src/RobotBodyFilter.cpp)
target_link_libraries(${PROJECT_NAME}
  ${PROJECT_NAME}_utils
  tf2_sensor_msgs_rbf
  TFFramesWatchdog
  RayCastingShapeMask
  ${catkin_LIBRARIES}
  ${PCL_LIBRARIES}
)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS} ${${PROJECT_NAME}_EXPORTED_TARGETS})

install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(TARGETS ${PROJECT_NAME} TFFramesWatchdog RayCastingShapeMask ${PROJECT_NAME}_utils tf2_sensor_msgs_rbf
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(FILES laser_filters.xml
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/)

install(FILES rviz/debug.rviz
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/rviz)

if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)

  catkin_add_gtest(test_set_utils test/test_set_utils.cpp)
  target_link_libraries(test_set_utils ${PROJECT_NAME}_utils ${catkin_LIBRARIES})

  catkin_add_gtest(test_shapes_rbf test/test_shapes.cpp)
  target_link_libraries(test_shapes_rbf ${PROJECT_NAME}_utils ${catkin_LIBRARIES})

  catkin_add_gtest(test_urdf_eigen test/test_urdf_eigen.cpp)
  target_link_libraries(test_urdf_eigen ${PROJECT_NAME}_utils ${catkin_LIBRARIES})

  catkin_add_gtest(test_time_utils test/test_time_utils.cpp)
  target_link_libraries(test_time_utils ${PROJECT_NAME}_utils ${catkin_LIBRARIES})

  catkin_add_gtest(test_tf2_eigen test/test_tf2_eigen.cpp)
  target_link_libraries(test_tf2_eigen ${PROJECT_NAME}_utils ${catkin_LIBRARIES})

  catkin_add_gtest(test_string_utils test/test_string_utils.cpp)
  target_link_libraries(test_string_utils ${PROJECT_NAME}_utils ${catkin_LIBRARIES})

  catkin_add_gtest(test_bodies test/test_bodies.cpp)
  target_link_libraries(test_bodies ${PROJECT_NAME}_utils ${catkin_LIBRARIES})

  catkin_add_gtest(test_cloud test/test_cloud.cpp)
  target_link_libraries(test_cloud ${PROJECT_NAME}_utils ${catkin_LIBRARIES})

  catkin_add_gtest(test_tf2_sensor_msgs test/test_tf2_sensor_msgs.cpp)
  target_link_libraries(test_tf2_sensor_msgs tf2_sensor_msgs_rbf ${PROJECT_NAME}_utils ${catkin_LIBRARIES})

  catkin_add_gtest(test_xmlrpc_traits test/test_xmlrpc_traits.cpp)
  target_link_libraries(test_xmlrpc_traits ${PROJECT_NAME}_utils ${catkin_LIBRARIES})

  add_rostest_gtest(test_filter_utils test/test_filter_utils.test test/test_filter_utils.cpp)
  target_link_libraries(test_filter_utils ${PROJECT_NAME} ${catkin_LIBRARIES})

  catkin_add_gtest(test_tf_frames_watchdog test/test_tf_frames_watchdog.cpp)
  target_link_libraries(test_tf_frames_watchdog TFFramesWatchdog ${catkin_LIBRARIES})

  catkin_add_gtest(test_ray_casting_shape_mask test/test_ray_casting_shape_mask.cpp)
  target_link_libraries(test_ray_casting_shape_mask RayCastingShapeMask ${catkin_LIBRARIES})
  if ("${CMAKE_BUILD_TYPE}" STREQUAL "Release" OR "${CMAKE_BUILD_TYPE}" STREQUAL "RelWithDebInfo")
    target_compile_definitions(test_ray_casting_shape_mask PRIVATE RELEASE_BUILD=1)
  else()
    target_compile_definitions(test_ray_casting_shape_mask PRIVATE RELEASE_BUILD=0)
  endif()

  add_rostest_gtest(test_robot_body_filter test/test_robot_body_filter.test test/test_robot_body_filter.cpp)
  target_link_libraries(test_robot_body_filter ${PROJECT_NAME} ${catkin_LIBRARIES})
  target_compile_options(test_robot_body_filter PRIVATE -fno-var-tracking-assignments)  # speed up build
endif()

## ros-one-robot-body-filter 1.3.2-2noble.20260128.2252

=== debian/changelog ===
ros-one-robot-body-filter (1.3.2-2noble.20260128.2252) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 28 Jan 2026 22:52:41 +0000

=== debian/control ===
Source: ros-one-robot-body-filter
Section: misc
Priority: optional
Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), libfcl-dev, libpcl-dev, pkg-config, ros-one-catkin, ros-one-dynamic-reconfigure, ros-one-filters (>= 1.8.2), ros-one-geometric-shapes (>= 0.6.6), ros-one-geometry-msgs, ros-one-laser-geometry, ros-one-message-generation, ros-one-moveit-core, ros-one-moveit-ros-perception, ros-one-pcl-conversions, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-tf2, ros-one-tf2-eigen, ros-one-tf2-ros, ros-one-tf2-sensor-msgs, ros-one-urdf, ros-one-visualization-msgs
Homepage: https://github.com/peci1/robot_body_filter
Standards-Version: 3.9.2

Package: ros-one-robot-body-filter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfcl-dev, libpcl-dev, ros-one-dynamic-reconfigure, ros-one-filters (>= 1.8.2), ros-one-geometric-shapes (>= 0.6.6), ros-one-geometry-msgs, ros-one-laser-geometry, ros-one-message-runtime, ros-one-moveit-core, ros-one-moveit-ros-perception, ros-one-pcl-conversions, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-tf2, ros-one-tf2-ros, ros-one-urdf, ros-one-visualization-msgs
Description: Filters the robot's body out of laser scans or point clouds.

## ros-one-robot-body-filter 1.3.2-2noble.20260301.2226

=== debian/changelog ===
ros-one-robot-body-filter (1.3.2-2noble.20260301.2226) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 01 Mar 2026 22:26:09 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-robot-body-filter//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
